Bug 469339 - Traceback error on install F10 Snap 2
Traceback error on install F10 Snap 2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
NEEDSRETESTING
:
Depends On:
Blocks: F10AnacondaBlocker
  Show dependency treegraph
 
Reported: 2008-10-31 07:33 EDT by Marc
Modified: 2013-01-09 23:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 19:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System log after installation F10 Snap 2 DVD (24.09 KB, application/vnd.oasis.opendocument.text)
2008-10-31 10:52 EDT, Marc
no flags Details
anaconda.log (33.06 KB, text/plain)
2008-11-04 16:32 EST, David Cantrell
no flags Details

  None (edit)
Description Marc 2008-10-31 07:33:30 EDT
Description of problem:

This could well have already been reported, but, just in case it hasn't, Anaconda is fragile on installing.  It wouldn't install at all with the first F10 Beta DVD, but with F10 Snapshot 2 it threw up a message on first attempted installation, but I was able to install Snapshot 2 to hard disk via the DVD after the second attempt, unlike the original F10 beta.  I couldn't save the anaconda output to disk, but transcribed the first few lines in case they're any help:

Anaconda 11.4.1.49 exception report.  Traceback (most recent call first): 
File”/usr/lib/anaconda/iw/netconfigdialog.py”, line67, in_netdev Changed val=
combo.get_model(). Getvalue (active) Type error iter must be a GtkTreelter

I haven't had a chance to try the latest snapshot, though, but will when time allows.
Comment 1 Chris Lumens 2008-10-31 10:23:07 EDT
What kind of networking hardware does your computer have?
Comment 2 Marc 2008-10-31 10:52:12 EDT
Created attachment 322088 [details]
System log after installation F10 Snap 2 DVD

The motherboard (Jetway V6DP) has a LAN port, but I've disabled it in the BIOS as I don't have a LAN connection for this PC, so when I'm testing Fedora, there is no network connection as such while installing from the DVD.

I did copy the system log after installing F10 Snapshot 2, though, and enclose it here for information.
Comment 3 David Cantrell 2008-11-04 16:31:18 EST
From now on when you attach log files to bug reports, just attach the plain text file.

Thanks.
Comment 4 David Cantrell 2008-11-04 16:32:26 EST
Created attachment 322488 [details]
anaconda.log
Comment 5 David Cantrell 2008-11-05 15:42:33 EST
Will be fixed in anaconda-11.4.1.56-1.
Comment 6 Jesse Keating 2008-11-07 17:47:26 EST
That anaconda will show up in rawhide 20081108 or later.  Please re-test.
Comment 7 Jesse Keating 2008-11-07 19:23:49 EST
Confirmed fixed (use kvm without a configured network device)

Note You need to log in before you can comment on or make changes to this bug.